package model

import (
	"time"
)

type MallCouponScheme struct {
	Id              int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Name            string    `json:"name" xorm:"not null default '' comment('名称') VARCHAR(255)"`
	LvNum           string    `json:"lv_num" xorm:"not null default '' comment('名称') VARCHAR(255)"`
	Kind            int       `json:"kind" xorm:"comment('优惠券类型：1立减2满减3折扣') TINYINT(1)"`
	Cal             string    `json:"cal" xorm:"not null default '0.00' comment('折扣算法json：形式：{\"reach\":\"10.00\", \"reduce\":\"1.00\"},无门槛reach为0') VARCHAR(255)"`
	SendWay         int       `json:"send_way" xorm:"comment('发放形式：1主动发放2手动发放') TINYINT(1)"`
	SendTimeType    int       `json:"send_time_type" xorm:"comment('（主动发放时）发放类型：1立即2定时') TINYINT(1)"`
	IsSend          int       `json:"is_send" xorm:"default 0 comment('（定时发放时）是否已发放0：否，1：是') TINYINT(1)"`
	SendTime        time.Time `json:"send_time" xorm:"comment('定时发放的时间') DATETIME"`
	PerUserNum      int       `json:"per_user_num" xorm:"not null default 1 comment('（手动发放时）每人限制领多少张') INT(11)"`
	SendUserType    int       `json:"send_user_type" xorm:"not null comment('1全部用户 2指定用户') TINYINT(1)"`
	SendNum         int       `json:"send_num" xorm:"not null comment('发放数量') INT(11)"`
	LeftNum         int       `json:"left_num" xorm:"not null comment('剩余数量') INT(11)"`
	ValidTimeType   int       `json:"valid_time_type" xorm:"comment('有效期类型：1固定日期2领取后x天有效') TINYINT(1)"`
	ValidTimeStart  time.Time `json:"valid_time_start" xorm:"comment('固定日期开始') DATETIME"`
	ValidTimeEnd    time.Time `json:"valid_time_end" xorm:"comment('固定日期结束') DATETIME"`
	ValidDayNum     int       `json:"valid_day_num" xorm:"comment('领取后有效的天数') INT(11)"`
	UseRule         int       `json:"use_rule" xorm:"comment('1全部商品可用2指定商品3指定活动类型') TINYINT(1)"`
	UseActivityType int       `json:"use_activity_type" xorm:"comment('可用的活动类型： 1拼团活动 2秒杀活动 3砍价活动') TINYINT(1)"`
	IsUse           int       `json:"is_use" xorm:"not null default 1 comment('是否开启：0否 1是') TINYINT(1)"`
	CreateTime      time.Time `json:"create_time" xorm:"default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateTime      time.Time `json:"update_time" xorm:"default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
	DeleteTime      time.Time `json:"delete_time" xorm:"comment('删除时间') DATETIME"`
}
